ArchiveOrangemail archive

Notification list for WordPress Trac updates.


wp-trac.lists.automattic.com
(List home) (Recent threads) (18 other Automattic lists)

Subscription Options

  • RSS or Atom: Read-only subscription using a browser or aggregator. This is the recommended way if you don't need to send messages to the list. You can learn more about feed syndication and clients here.
  • Conventional: All messages are delivered to your mail address, and you can reply. To subscribe, send an email to the list's subscribe address with "subscribe" in the subject line, or visit the list's homepage here.
  • High traffic list: 30+ messages per day
  • This list contains about 229,328 messages, beginning Feb 2006
  • 59 messages added yesterday
Report the Spam
This button sends a spam report to the moderator. Please use it sparingly. For other removal requests, read this.
Are you sure? yes no

[WordPress Trac] #25751: After upgrade to WordPress 3.7 updating Wordpress default themes is not possible

Ad
WordPress Trac 1382990269Mon, 28 Oct 2013 19:57:49 +0000 (UTC)
#25751: After upgrade to WordPress 3.7 updating Wordpress default themes is not
possible
-----------------------------+-----------------------------
 Reporter:  mike_vl          |      Owner:
     Type:  defect (bug)     |     Status:  new
 Priority:  normal           |  Milestone:  Awaiting Review
Component:  Upgrade/Install  |    Version:  3.7
 Severity:  normal           |   Keywords:
-----------------------------+-----------------------------
 On a shared hosting platform the following error occured when updating the
 default themes from within the admin:

 "An error occurred while updating Twenty Eleven: Download failed. SSL:
 certificate subject name '*.wordpress.org' does not match target host name
 'wordpress.org'"

 This issue has been raised on the wordpress forums by other users.
 [http://20103399nl.forums.wordpress.org/topic/...
 niet-meer-bij-wordpress-37] (dutch)

 A (temporary) solution editing core has been mentioned as well which
 points to a possible cause:
 in /wp-includes/class-http.php changing 'sslverify' => true to 'sslverify'
 => false will enable the themes to be updated.--
Ticket URL: <http://core.trac.wordpress.org/ticket/25751>
WordPress Trac <http://core.trac.wordpress.org/>
WordPress blogging software
WordPress Trac 1382990514Mon, 28 Oct 2013 20:01:54 +0000 (UTC)
#25751: After upgrade to WordPress 3.7 updating Wordpress default themes is not
possible
-----------------------------+------------------------------
 Reporter:  mike_vl          |       Owner:
     Type:  defect (bug)     |      Status:  new
 Priority:  normal           |   Milestone:  Awaiting Review
Component:  Upgrade/Install  |     Version:  3.7
 Severity:  normal           |  Resolution:
 Keywords:                   |
-----------------------------+------------------------------

Comment (by SergeyBiryukov):

 Related: #25716--
Ticket URL: <http://core.trac.wordpress.org/ticket/25751#c...>
WordPress Trac <http://core.trac.wordpress.org/>
WordPress blogging software
WordPress Trac 1382992863Mon, 28 Oct 2013 20:41:03 +0000 (UTC)
#25751: After upgrade to WordPress 3.7 updating Wordpress default themes is not
possible
-----------------------------+------------------------------
 Reporter:  mike_vl          |       Owner:
     Type:  defect (bug)     |      Status:  new
 Priority:  normal           |   Milestone:  Awaiting Review
Component:  Upgrade/Install  |     Version:  3.7
 Severity:  normal           |  Resolution:
 Keywords:                   |
-----------------------------+------------------------------

Comment (by dd32):

 This is caused by OpenSSL being unable to parse the subjectAltNames
 extension of the SSL certificate, this could be due to a OpenSSL bug or
 this particular compile of OpenSSL doesn't support the extensions.

 The WordPress.org certificate lists '*.wordpress.org' as it's Common name
 in the SSL cert, 'wordpress.org' is added as an extra domain in the SSL
 subjectAltName Extension, which explains why api.wordpress.org would work,
 but wordpress.org would fail.

 I've added a reply to the thread asking for some debugging information -
 specifically the version of OpenSSL being in use.--
Ticket URL: <http://core.trac.wordpress.org/ticket/25751#c...>
WordPress Trac <http://core.trac.wordpress.org/>
WordPress blogging software
WordPress Trac 1382994141Mon, 28 Oct 2013 21:02:21 +0000 (UTC)
#25751: After upgrade to WordPress 3.7 updating Wordpress default themes is not
possible
-----------------------------+------------------------------
 Reporter:  mike_vl          |       Owner:
     Type:  defect (bug)     |      Status:  new
 Priority:  normal           |   Milestone:  Awaiting Review
Component:  Upgrade/Install  |     Version:  3.7
 Severity:  normal           |  Resolution:Keywords:                   |
-----------------------------+------------------------------

Comment (by dd32):

 Replying to [comment:2 dd32]:
> This is caused by OpenSSL being unable to parse the subjectAltNamesextension of the SSL certificate, this could be due to a OpenSSL bug or
 this particular compile of OpenSSL doesn't support the extensions.

 I misread the error slightly, this is caused by cURL & it's OpenSSL build,
 not from the PHP OpenSSL extension as I thought..

 The version of cURL installed on the hosting in this case is cURL 7.10.6,
 cURL 7.10.7 introduced the ability to check the subjectAltName field.

 cURL 7.10.7 was released TEN YEARS AGO... In this case, I think we need to
 reach out to the host and ask them to update their version of cURL..--
Ticket URL: <http://core.trac.wordpress.org/ticket/25751#c...>
WordPress Trac <http://core.trac.wordpress.org/>
WordPress blogging software
WordPress Trac 1383002440Mon, 28 Oct 2013 23:20:40 +0000 (UTC)
#25751: After upgrade to WordPress 3.7 updating Wordpress default themes is not
possible
--------------------------+------------------------------
 Reporter:  mike_vl       |       Owner:
     Type:  defect (bug)  |      Status:  new
 Priority:  normal        |   Milestone:  Awaiting Review
Component:  HTTP          |     Version:  3.7
 Severity:  normal        |  Resolution:
 Keywords:                |
--------------------------+------------------------------
Changes (by dd32):

 * component:  Upgrade/Install => HTTP--
Ticket URL: <http://core.trac.wordpress.org/ticket/25751#c...>
WordPress Trac <http://core.trac.wordpress.org/>
WordPress blogging software
Home | About | Privacy